### Class

# Meta SelectionSourceMemory

since: 14

#### Description

    final class Meta.SelectionSourceMemory : Meta.SelectionSource
    {
      /* No available fields */
    }

No description available.

Available since: 14

#### Ancestors

- MetaSelectionSource
- GObject

#### Constructors

###### meta_selection_source_memory_new

No description available.

since: 14

#### Instance methods

##### Methods inherited from MetaSelectionSource (4)

###### meta_selection_source_get_mimetypes

Returns the list of supported mimetypes.

since: 14

###### meta_selection_source_is_active

Returns `TRUE` if the source is active on a selection.

since: 14

###### meta_selection_source_read_async

No description available.

since: 14

###### meta_selection_source_read_finish

Finishes a read from the selection source.

since: 14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from MetaSelectionSource (2)

###### MetaSelectionSource::activated

No description available.

since: 14

###### MetaSelectionSource::deactivated

No description available.

since: 14

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct MetaSelectionSourceMemoryClass {
      MetaSelectionSourceClass parent_class;

    }

No description available.

###### Class members

`parent_class: MetaSelectionSourceClass`
  No description available.